/* extern.h - The collection of external definitions needed. */

/*  GNU DBM  - DataBase Manager (database subroutines) by Philip A. Nelson
    Copyright (C) 1989  Free Software Foundation, Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    You may contact the author by:
       e-mail:  phil@wwu.edu
      us-mail:  Philip A. Nelson
                Computer Science Department
                Western Washington University
                Bellingham, WA 98226
        phone:  (206) 676-3035
       
*************************************************************************/



/* for testing */
#include <sys/time.h>
#include <sys/resource.h>
extern struct rusage before, after;


/* The global variables used for the "original" interface. */
extern dbm_file_info  *_dbm_file;

/* Memory for return data for the "original" interface. */
extern char *_dbm_memory;

#ifdef RANDOM_HASH
/* The state array for random.  Initialized in dbminit and set for use in
   the hash function. */
extern char _dbm_hash_state[128];
#endif RANDOM_HASH


/* External routines used. */

extern dbm_file_info *gdbm_open();

extern datum gdbm_fetch();

extern datum gdbm_firstkey();

extern datum gdbm_nextkey();

