/* gdbmerrno.h - The enumeration type describing all the dbm errors. */

/*  GNU DBM  - DataBase Manager (database subroutines) by Philip A. Nelson
    Copyright (C) 1989  Free Software Foundation, Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    You may contact the author by:
       e-mail:  phil@wwu.edu
      us-mail:  Philip A. Nelson
                Computer Science Department
                Western Washington University
                Bellingham, WA 98226
        phone:  (206) 676-3035
       
*************************************************************************/


/* gdbm sends back the following error codes in the variable gdbm_errno. */
typedef enum {	MALLOC_ERROR,
		FILE_OPEN_ERROR,
		FILE_WRITE_ERROR,
		FILE_SEEK_ERROR,
		FILE_READ_ERROR,
		BAD_MAGIC_NUMBER,
		EMPTY_DATABASE,
		CANT_BE_READER,
	        CANT_BE_WRITER,
		READER_CANT_RECOVER,
		READER_CANT_DELETE,
		READER_CANT_STORE,
		READER_CANT_REORGANIZE,
		UNKNOWN_UPDATE,
		ITEM_NOT_FOUND,
		REORGANIZE_FAILED}
	gdbm_error;
