/* global.c - The external variables needed for "original" interface and
   error messages. */

/*  GNU DBM  - DataBase Manager (database subroutines) by Philip A. Nelson
    Copyright (C) 1989  Free Software Foundation, Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    You may contact the author by:
       e-mail:  phil@wwu.edu
      us-mail:  Philip A. Nelson
                Computer Science Department
                Western Washington University
                Bellingham, WA 98226
        phone:  (206) 676-3035
       
*************************************************************************/


#include "gdbm.h"
#include "gdbmerrno.h"


/* for testing */
#include <sys/time.h>
#include <sys/resource.h>
struct rusage before, after;


/* The global variables used for the "original" interface. */
dbm_file_info  *_dbm_file;

/* Memory for return data for the "original" interface. */
char *_dbm_memory;

#ifdef RANDOM_HASH
/* The state array for random.  Initialized in dbminit and set for use in
   the hash function. */
char _dbm_hash_state[128];
#endif RANDOM_HASH

/* The dbm error number is placed in the variable GDBM_ERRNO. */
gdbm_error gdbm_errno;
